> For the complete documentation index, see [llms.txt](https://docs.roomle.com/rubens/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roomle.com/rubens/rubens-products/rubens-configurator/integration/customise-shareable-links.md).

# Customise shareable links

Usually you have integrated your Rubens configurator somewhere on your website (if you do not know how to that you can have a look [here](/rubens/rubens-products/rubens-configurator/integration/setup-the-configurator.md)), which means you also a custom domain and need to modify our sharable links which are displayed for example when the user clicks on the `save draft button`. In this case it is necessary to give Rubens your desired Url in the init data.

Here a small code example:

```typescript
const configurator = await RoomleConfiguratorApi.create(
    configuratorId,
    domElement,
    {
      deeplink: "http://www.example.com/configurator?id=#CONFIGURATIONID#",
    }
  );
```

Please note that this is just a pseudo code URL, change it to your website URL. Normally you have placed the Rubens configurator somewhere on your single product page, then `configurator` is most probably the handle of the product. It is **important** that you have a id=#CONFIGURATIONID# in the URL because this will be replaced by the configuration id of Rubens.

### Code Sandbox

If you want to have a quick impression on a coded sample you can have a look at this [Code Sandbox](https://codesandbox.io/p/sandbox/getting-started-forked-jg78cv).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.roomle.com/rubens/rubens-products/rubens-configurator/integration/customise-shareable-links.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
